# eric5.Helpviewer.QtHelpFiltersDialog

Module implementing a dialog to manage the QtHelp filters.

### Global Attributes

None

### Classes

QtHelpFiltersDialog | Class implementing a dialog to manage the QtHelp filters.

### Functions

None

## QtHelpFiltersDialog

Class implementing a dialog to manage the QtHelp filters.

### Derived from

QDialog, Ui_QtHelpFiltersDialog

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpFiltersDialog | Constructor
__removeAttributes | Private method to remove attributes from the Qt Help database.
on_addButton_clicked | Private slot to add a new filter.
on_attributesList_itemChanged | Private slot to handle a change of an attribute.
on_attributesList_itemSelectionChanged | Private slot handling the selection of attributes.
on_buttonBox_accepted | Private slot to update the database, if the dialog is accepted.
on_filtersList_currentItemChanged | Private slot to update the attributes depending on the current filter.
on_filtersList_itemSelectionChanged | Private slot handling a change of selected filters.
on_removeAttributeButton_clicked | Private slot to remove the selected filter attributes.
on_removeButton_clicked | Private slot to remove the selected filters.
on_unusedAttributesButton_clicked | Private slot to select all unused attributes.

### Static Methods

None

#### QtHelpFiltersDialog (Constructor)

QtHelpFiltersDialog(engine, parent=None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent widget (QWidget)

#### QtHelpFiltersDialog.__removeAttributes

__removeAttributes()

Private method to remove attributes from the Qt Help database.

#### QtHelpFiltersDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new filter.

#### QtHelpFiltersDialog.on_attributesList_itemChanged

on_attributesList_itemChanged(item, column)

Private slot to handle a change of an attribute.

item
  reference to the changed item (QTreeWidgetItem)
column
  column containing the change (integer)

#### QtHelpFiltersDialog.on_attributesList_itemSelectionChanged

on_attributesList_itemSelectionChanged()

Private slot handling the selection of attributes.

#### QtHelpFiltersDialog.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot to update the database, if the dialog is accepted.

#### QtHelpFiltersDialog.on_filtersList_currentItemChanged

on_filtersList_currentItemChanged(current, previous)

Private slot to update the attributes depending on the current filter.

current
  reference to the current item (QListWidgetitem)
previous
  reference to the previous current item (QListWidgetItem)

#### QtHelpFiltersDialog.on_filtersList_itemSelectionChanged

on_filtersList_itemSelectionChanged()

Private slot handling a change of selected filters.

#### QtHelpFiltersDialog.on_removeAttributeButton_clicked

on_removeAttributeButton_clicked()

Private slot to remove the selected filter attributes.

#### QtHelpFiltersDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove the selected filters.

#### QtHelpFiltersDialog.on_unusedAttributesButton_clicked

on_unusedAttributesButton_clicked()

Private slot to select all unused attributes.

Up